glab(1)

NAME
glab-issue-list - List project issues.

SYNOPSIS
glab issue list [flags]

DESCRIPTION
Defaults to open items. Use --group to list for a group instead of the current project.

OPTIONS
-A, --all[=false]
    Get all issues.

-a, --assignee=""
    Filter issue by assignee .

--author=""
    Filter issue by author .

-c, --closed[=false]
    Get only closed issues.

-C, --confidential[=false]
    Filter by confidential issues.

-e, --epic=0
    List issues belonging to a given epic (requires --group, no pagination support).

-g, --group=""
    Select a group or subgroup. Ignored if a repo argument is set.

--in="title,description"
    Search in: title, description.

-t, --issue-type=""
    Filter issue by its type. Options: issue, incident, test_case.

-i, --iteration=0
    Filter issue by iteration .

--jq=""
    Filter JSON output with a jq expression.

-l, --label=[]
    Filter issue by label . Multiple labels can be comma-separated or specified by repeating the flag.

-m, --milestone=""
    Filter issue by milestone .

--not-assignee=""
    Filter issue by not being assigned to .

--not-author=""
    Filter issue by not being by author(s) .

--not-label=[]
    Filter issue by lack of label . Multiple labels can be comma-separated or specified by repeating the flag.

--order="created_at"
    Order issue by . Order options: created_at, updated_at, priority, due_date, relative_position, label_priority, milestone_due, popularity, weight.

-O, --output="text"
    Options: 'text' or 'json'.

-F, --output-format="details"
    Options: 'details', 'ids', 'urls'.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

--search=""
    Search in the fields defined by '--in'.

-s, --sort="desc"
    Sort direction for --order field: asc or desc.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    glab issue list --all
    glab issue ls --all
    glab issue list --assignee=@me
    glab issue list --milestone release-2.0.0 --opened

SEE ALSO
glab-issue(1)